<<

# Bugzilla::Webservice::Group

- NAME
- DESCRIPTION
- METHODS
- Group Creation
  - create

# NAME

Bugzilla::Webservice::Group - The API for creating, changing, and getting information about Groups.

# DESCRIPTION

This part of the Bugzilla API allows you to create Groups and get information about them.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

# Group Creation

## create

UNSTABLE

Description

  This allows you to create a new group in Bugzilla.

Params

  Some params must be set, or an error will be thrown. These params are marked Required.

  `name`

    Required `string` A short name for this group. Must be unique. This is not usually displayed in the user interface, except in a few places.

  `description`

    Required `string` A human-readable name for this group. Should be relatively short. This is what will normally appear in the UI as the name of the group.

  `user_regexp`

    `string` A regular expression. Any user whose Bugzilla username matches this regular expression will automatically be granted membership in this group.

  `is_active`

    `boolean` `True` if new group can be used for bugs, `False` if this is a group that will only contain users and no bugs will be restricted to it.

  `icon_url`

    `string` A URL pointing to a small icon used to identify the group. This icon will show up next to users' names in various parts of Bugzilla if they are in this group.

Returns

  A hash with one element, `id`. This is the id of the newly-created group.

Errors
  800 (Empty Group Name)

    You must specify a value for the `name` field.

  801 (Group Exists)

    There is already another group with the same `name`.

  802 (Group Missing Description)

    You must specify a value for the `description` field.

  803 (Group Regexp Invalid)

    You specified an invalid regular expression in the `user_regexp` field.

<<